MantisBT
Mantis Bug Tracker Workflow

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0027049Open CASCADE[OCCT] OCCT:Modeling Algorithmspublic2015-12-29 10:462018-06-26 15:12
Reportermsv 
Assigned Tomsv 
PrioritynormalSeverityminor 
StatusnewResolutionopen 
PlatformOSOS Version
Product Version[OCCT] 7.0.0 
Target Version[OCCT] 7.4.0*Fixed in Version 
Summary0027049: Make non-destructive mode be defined by default in Boolean operations
DescriptionRecently Boolean operation has got the option of non-destructive mode of work. In this mode the algorithm does not change input shapes (in particular tolerances of vertices). The aim of this improvement is to make this mode of work the default one.
This is to be done both in algorithms (BOPAlgo, BRepAlgoAPI) and in Draw framework (BOPTest).
Steps To Reproduce1) Change the test case tests\bugs\modalg_6\bug26619 so that to remove the line:
bnondestructive 1

2) Run the test bugs modalg_6 bug26619

The result must remain OK.
TagsNo tags attached.
Test case numberbugs modalg_7 bug27049
Attached Files

- Relationships
related to 0026738closedapn Open CASCADE Make Boolean operations safely treating arguments when running with fuzzy option 

-  Notes
(0069550)
mkv (tester)
2017-08-17 17:00

Problem described in issue is reproduced on current state of OCCT.
(0077060)
emv (developer)
2018-06-26 15:12

The test case bugs modalg_7 bug27049 is going to be fixed by the fix for the issue #29711, so the boolean operation in test case bugs modalg_6 bug26619 is going to be working the same in both not-safe and safe modes.
The issue is still should not be closed even after integration of the fix for #29711, as it does not set the non-destructive mode as default in Boolean operations.

- Issue History
Date Modified Username Field Change
2015-12-29 10:46 msv New Issue
2015-12-29 10:46 msv Assigned To => msv
2015-12-29 10:47 msv Relationship added related to 0026619
2016-06-28 09:59 msv Relationship added related to 0026738
2016-10-28 17:03 msv Target Version 7.1.0 => 7.2.0
2017-07-24 09:32 msv Target Version 7.2.0 => 7.3.0
2017-08-17 17:00 mkv Test case number => bugs modalg_7 bug27049
2017-08-17 17:00 mkv Note Added: 0069550
2017-12-05 16:59 msv Target Version 7.3.0 => 7.4.0*
2018-06-26 15:12 emv Note Added: 0077060
2018-06-26 15:12 emv Relationship added related to 0029711


Copyright © 2000 - 2018 MantisBT Team
Powered by Mantis Bugtracker